Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractProductHistory

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractProductHistory

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegafonContractProductHistory extends IdTitle
Историческая запись об изменении продукта/услуги на договоре

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractProductHistory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalMsisdn()`
  `LocalDateTime`
  `getChangeDate()`
  `int`
  `getContractId()`
  `int`
  `getMegafonOptionId()`
  `String`
  `getMsisdn()`
  `MegafonContractProductStatus`
  `getNewProductStatus()`
  `MegafonContractProductStatus`
  `getOldProductStatus()`
  `int`
  `getProductId()`
  `int`
  `getUserId()`
  `MegafonContractProductHistory`
  `setAdditionalMsisdn(String additionalMsisdn)`
  `MegafonContractProductHistory`
  `setChangeDate(LocalDateTime changeDate)`
  `MegafonContractProductHistory`
  `setContractId(int contractId)`
  `MegafonContractProductHistory`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonContractProductHistory`
  `setMegafonOptionId(int megafonOptionId)`
  `MegafonContractProductHistory`
  `setMsisdn(String msisdn)`
  `MegafonContractProductHistory`
  `setNewProductStatus(MegafonContractProductStatus newProductStatus)`
  `MegafonContractProductHistory`
  `setOldProductStatus(MegafonContractProductStatus oldProductStatus)`
  `MegafonContractProductHistory`
  `setProductId(int productId)`
  `MegafonContractProductHistory`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `MegafonContractProductHistory`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegafonContractProductHistory

    public MegafonContractProductHistory()

- ## Method Details

  - ### getAdditionalMsisdn

    public String getAdditionalMsisdn()

  - ### getChangeDate

    public LocalDateTime getChangeDate()

  - ### getContractId

    public int getContractId()

  - ### getMegafonOptionId

    public int getMegafonOptionId()

  - ### getMsisdn

    public String getMsisdn()

  - ### getNewProductStatus

    public MegafonContractProductStatus getNewProductStatus()

  - ### getOldProductStatus

    public MegafonContractProductStatus getOldProductStatus()

  - ### getProductId

    public int getProductId()

  - ### getUserId

    public int getUserId()

  - ### setAdditionalMsisdn

    public MegafonContractProductHistory setAdditionalMsisdn(String additionalMsisdn)

  - ### setChangeDate

    public MegafonContractProductHistory setChangeDate(LocalDateTime changeDate)

  - ### setContractId

    public MegafonContractProductHistory setContractId(int contractId)

  - ### setId

    public MegafonContractProductHistory setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setMegafonOptionId

    public MegafonContractProductHistory setMegafonOptionId(int megafonOptionId)

  - ### setMsisdn

    public MegafonContractProductHistory setMsisdn(String msisdn)

  - ### setNewProductStatus

    public MegafonContractProductHistory setNewProductStatus(MegafonContractProductStatus newProductStatus)

  - ### setOldProductStatus

    public MegafonContractProductHistory setOldProductStatus(MegafonContractProductStatus oldProductStatus)

  - ### setProductId

    public MegafonContractProductHistory setProductId(int productId)

  - ### setTitle

    public MegafonContractProductHistory setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUserId

    public MegafonContractProductHistory setUserId(int userId)